<?php

namespace Litecms\Faucetlevel;

use User;

class Faucetlevel
{
    /**
     * $faucetlevel object.
     */
    protected $faucetlevel;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Faucetlevel\Interfaces\FaucetlevelRepositoryInterface $faucetlevel)
    {
        $this->faucetlevel = $faucetlevel;
    }

    /**
     * Returns count of faucetlevel.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.faucetlevel.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->faucetlevel->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\FaucetlevelUserCriteria());
        }

        $faucetlevel = $this->faucetlevel->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('faucetlevel::' . $view, compact('faucetlevel'))->render();
    }
}
