<?php

namespace Litecms\Faucetlevel\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FaucetlevelTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Faucetlevel\Models\Faucetlevel $faucetlevel)
    {
        return [
            'id'                => $faucetlevel->getRouteKey(),
            'key'               => [
                'public'    => $faucetlevel->getPublicKey(),
                'route'     => $faucetlevel->getRouteKey(),
            ], 
            'level'             => $faucetlevel->level,
            'user_balance'      => $faucetlevel->user_balance,
            'time'              => $faucetlevel->time,
            'faucet_reward'     => $faucetlevel->faucet_reward,
            'url'               => [
                'public'    => trans_url('faucetlevel/'.$faucetlevel->getPublicKey()),
                'user'      => guard_url('faucetlevel/faucetlevel/'.$faucetlevel->getRouteKey()),
            ], 
            'status'            => trans('app.'.$faucetlevel->status),
            'created_at'        => format_date($faucetlevel->created_at),
            'updated_at'        => format_date($faucetlevel->updated_at),
        ];
    }
}